<div class="user-details-component-container">
    <ng-container *ngIf="$user | async as user">
        <ng-container *ngIf="$farms | async as farms">
            <div class="default-padding user-name">
                {{user.firstName}} {{user.lastName}}
            </div>
            <div class="default-padding">
                {{"Role: "}}{{CompanyRoles[user.companyRole]}}
            </div>
            <div class="default-padding">
                {{"Email: "}} {{user.email}}
            </div>
            <ng-container *ngIf="$user | async as companyUsers ">
                <div class="default-padding">
                    <div class="bold half-padding">
                        {{'FarmUsers '}}
                    </div>
                    <div *ngFor="let farmUser of $farmUsers | async"
                         [routerLink]="['/home/company-user', farmUser.companyUserId]"
                         class="farm-user">
                        <div>
                            {{getFarmName(farms, farmUser.companyFarmId)}}
                        </div>
                        <div>
                            {{CompanyFarmRoles[farmUser.companyFarmRole]}}
                        </div>
                    </div>
                </div>
            </ng-container>
        </ng-container>
    </ng-container>
</div>
